Subject: RE: [SIP] Telephone-subscriber registration.

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Wed, 16 Aug 2000 18:41:36 -0700

Thanks, I hoped there might be other route exporting approaches that didn't
reinvent the wheel. 

Regards,

Robert.

> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Wednesday, August 16, 2000 4:00 PM
> To: Fairlie-Cuninghame, Robert
> Cc: [email-masked]'
> Subject: Re: [SIP] Telephone-subscriber registration.
> 
> 
> Hi,
> 
> You might want to take a look at:
> 
> http://www.cs.columbia.edu/~jdrosen/papers/draft-rs-trip-gw-00.txt
> 
> it should answer your question
> 
> Thanks
> Hisham Khartabil
> 
> 
> "Fairlie-Cuninghame, Robert" wrote:
> 
> > Hi all,
> >
> > Is there any standard method or has anyone thought about a 
> way to register a
> > range of telephone-subscribers?
> >
> > A SIP-PSTN gateway is not always aware of the exact 
> presence of all its PSTN
> > endpoints. It may merely know that the trunk connecting to 
> a range of phone
> > numbers is active. For instance, 555-4000 to 555-4999. It 
> is impractical to
> > register 1000 endpoints individually but there still seems 
> to be good cause
> > to want to register all these possible addresses with a SIP proxy.
> >
> > The most straight forward solution would seem to be to 
> devise a method for
> > SIP-PSTN gateways to register using a tel: URL [RFC2806] in 
> the To header
> > that specified a wildcard/pattern-match 
> telephone-subscriber (currently not
> > supported). Suggestions? Adding a wildcard digit and/or new 
> parameters.
> >
> > eg. sip:555-4xxx;matchrange=0-79@gateway;user=tel-pattern
> >         to specify 555-4000 to 555-4079 (just as a trivial 
> example). The
> > user=tel-pattern ensures that the tel: is not processed as standard
> > telephone-subscriber.
> >
> > Any other ideas or comments ?
> >
> > This problem has probably been solved in H.323 Gatekeeper 
> registrations but
> > I am not very au fait with the mechanisms of that protocol. 
> Perhaps someone
> > else can comment.
> >
> > Regards,
> >
> > Robert.
> >
> > -- My opinions are my own. I tried selling them once but everybody
> >         seems to already have one. --
> >
> > _______________________________________________
> > SIP mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/sip
> 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip